const fetchres = require('fetchres');
const logger = require('@financial-times/n-logger').default;

module.exports = function (opts) {
	const path = opts.path;
	return fetch(`https://prod-coco-up-read.ft.com${path}`, {
		timeout: 3000,
		headers: {
			'X-Policy': 'INTERNAL_UNSTABLE, INCLUDE_RICH_CONTENT',
			Authorization: process.env.COCO_API_AUTHORIZATION
		}
	})
	.then(fetchres.json)
	.catch(error => {
		logger.warn('Failed getting COCO response', {
			path,
			error: error
		});
	});
}
